> For the complete documentation index, see [llms.txt](https://en.docs.klipwallet.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://en.docs.klipwallet.com/changelog.md).

# Change Log

## 2021/09/30

* Added `canceled` to the App2App's result status

## 2021/07/28

* Updated the field restrictions for animation\_url

## 2021/07/13

* Added notice for using App2App Auth. API

## 2021/07/07

* Applied company name change in App2App SDK Open Source Notice
  * Ground1 -> GroundX, Ground X -> GroundX

## 2021/06/28

* Added App2App authentication request button guide

## 2021/05/10

* New API
  * An API to upload NFT resource file
* New request field for Card Minting API
  * You can upload video clip URL in the `animation_url` field

## 2021/03/08

* Company name change
  * Ground 1 -> Ground X
* Company email change
  * <klip-partners@ground1.io> -> <klip-partners@groundx.xyz>

## 2021/02/03

* Added transaction hash field in the response for Minting/Sending APIs
* New request field for Card Minting API
  * `secure`: You can set attributes only visible to the Card owner
  * `status_url`: You can set an external URL to fetch Card status
  * `external_link`: You can set an external URL that redirects outside of Klip
* Fixed typos in the tutorial

## 2021/01/12

* New APIs
  * An API for checking transaction status using transaction hash
  * An API for returning the number of Cards minted in the current month
* Fixed broken links in the Introduction

## 2020/11/30

* Added a new App2App feature based on QR code
  * You can now execute App2App on PC or a physically distant environment
  * Mobile camera app or Klip reads the QR code and process App2App requests
* Added an API to send Cards using escrow
  * A link is created through which a Card is sent
  * You can claim the Card by clicking on the link

## 2020/10/26

* Added App2App API
  * Allows you to fetch Klip user addersses from external services
  * Allows you to send KLAY, FTs, or NFTs and execute smart contracts from external services using Klip

## 2020/08/26

* Added optional fields in the Card's metadata for Mint Card To User, Mint Card To Klip Member APIs
  * `group_name`, `group_icon`, `hashtags`, `layout`, `qr_code`, `bar_code`
* Changed responses for Get Card Information By BApp, Get Card Information APIs
  * `bapps[i].cards.cards[i]` -> `bapps[i].cards[i]`
  * `bapps[i].cards.next_cursor` -> `bapps[i].cards_next_cursor`
* Changed responses for Get Card Information API
  * `cards.cards[i]` -> `cards[i]`
  * `cards.next_cursor` -> `next_cursor`
* Added a query parameter for Get Card Information API
  * `isAll`

## 2020/07/31

* Changed Mint Card API to Mint Card To User API
  * Mints Cards to users with EOA (Klip Member or non-member)
  * Uses user EOA when minting
* Added Mint Card To Klip Member API
  * Mints Card to Klip users
  * Uses name and phone number of Klip users
* Changed Send Card API to Send Card To User API
  * Sends Card to users with EOA (Klip users or non-users)
  * Uses user EOA when sending
* Added Send Card To Klip Member API
  * Sends card to Klip users
  * Uses name and phone number of Klip users
* Response parameter `failCount` changed to `fail_count` in Send Card To User, Send Card To Klip Member APIs

## 2020/07/16

* Response parameter `order_no` changed to `nft_order_no` in Get Card Information By BApp API

## 2020/06/16

* Send Card API does not use `to_klip_id` as request body parameter anymore

## 2020/05/28

* An API for [Klip Partners](https://partners.klipwallet.com/) to sign in on Klip and mint, send and browse Card (NFTs)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://en.docs.klipwallet.com/changelog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
